package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.RegionMetropolitana;

public class RenderRegionMetropolitana implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		RegionMetropolitana regionMetropolitana = (RegionMetropolitana) o;

		Listcell lc = new Listcell(regionMetropolitana.getRegionMetropolitanaId().toString());
		lc.setParent(lstm);

		lc = new Listcell(regionMetropolitana.getDescRegion());
		lc.setParent(lstm);

		lstm.setAttribute("data", regionMetropolitana);
	}

}
